Bug 1013931 - Executing gverify.sh without any option should display its usage.
Executing gverify.sh without any option should display its usage.
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
M S Vishwanath Bhat
: FutureFeature
: 1013947 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 01:08 EDT by Gowrishankar Rajaiyan
Modified: 2016-05-31 21:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-10-01 01:08:39 EDT
Description of problem: gverify.sh displays the usage of "ping" command with ambiguous redirect message for log_file. Ideally executing gverify.sh without any options should display its usage, instead of having the user to open the file to find it.


Version-Release number of selected component (if applicable):
glusterfs-geo-replication-3.4.0.33rhs-1.el6rhs.x86_64

How reproducible: Always


Steps to Reproduce:
1. Execute /usr/libexec/glusterfs/gverify.sh


Actual results:
# /usr/libexec/glusterfs/gverify.sh 
/usr/libexec/glusterfs/gverify.sh: line 100: $log_file: ambiguous redirect
Usage: ping [-LRUbdfnqrvVaA] [-c count] [-i interval] [-w deadline]
            [-p pattern] [-s packetsize] [-t ttl] [-I interface or address]
            [-M mtu discovery hint] [-S sndbuf]
            [ -T timestamp option ] [ -Q tos ] [hop1 ...] destination
/usr/libexec/glusterfs/gverify.sh: line 107: $log_file: ambiguous redirect


Expected results: Should display the "Usage" of gverify.sh.


Additional info:
Comment 3 Aravinda VK 2015-08-06 10:22:14 EDT
*** Bug 1013947 has been marked as a duplicate of this bug. ***
Comment 4 Aravinda VK 2015-11-25 03:51:30 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 5 Aravinda VK 2015-11-25 03:52:18 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.